<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCustomerOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pp_customer_orders', function (Blueprint $table) {
            $table->id('order_id',25)->unique();
            $table->string('customer_name',200);
            $table->string('purchase_order',200);
            $table->string('bill_address',200);
            $table->string('delivery_address',200);
            $table->string('cosignee_details',200);
            $table->string('party_details',200);
            $table->date('date');
            $table->date('delivery_date');
            $table->foreignId('shipping_term_id');
            $table->string('name_fill',200);
            $table->boolean('status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_orders');
    }
}
