<?php

namespace Modules\Pp\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Pp\Entities\Material;
use Modules\Pp\Entities\BomData;
use Modules\Pp\Entities\DailyCollection;
use Illuminate\Support\Facades\DB;

class DailyCollectionPlanController extends Controller
{
   /**
     * searchMaterial
     * This function is used to search material from product id.
     * @return Json This returns as response.
     */
    public function searchMaterial()
    {
        //$data = Material::all();
        $data = Material::where('product_type_id', '=', 1 )->get();
        $searchAray = [];
        for ($j = 0; $j < count($data); $j++) {
            array_push($searchAray, [
                "img" => "",
                "id" => $data[$j]['product_id'],
                "value" => $data[$j]['product_name'],
            ]);
        }
        return response()->json($searchAray);
    }


    public function getPDName($product_id)
    {
        $data = Material::find($product_id);
        return response()->json($data);
    }



    public function Quantity($product_id,$from,$to)
    {

        try {

            // $query="SELECT SUM(COPD.quantity * (BH.quantity/BD.quantity )) AS Required FROM pp_bom_data BD
            // INNER JOIN pp_bom_header BH ON BH.pp_bom_header_id=BD.pp_bom_header_id
            // INNER JOIN pp_customer_order_plans_data COPD ON COPD.product_id=BH.product_id
            // WHERE BD.product_id='".$product_id."' AND COPD.start_date BETWEEN '".$from."' AND '".$to."'";
            // return $query;

        $data = DB::select("SELECT SUM(COPD.quantity * (BH.quantity/BD.quantity )) AS Required FROM pp_bom_data BD
        INNER JOIN pp_bom_header BH ON BH.pp_bom_header_id=BD.pp_bom_header_id
        INNER JOIN pp_customer_order_plans_data COPD ON COPD.product_id=BH.product_id
        WHERE BD.product_id='".$product_id."' AND COPD.start_date BETWEEN '".$from."' AND '".$to."'");
        $responseBody = $this->responseBody(true, "DailyCollection", "Required", $data);

    } catch (\Exception $exception) {
        $responseBody = $this->responseBody(false, "error", "error", $exception);
    }

    return response()->json($data);
    }


    public function PLanRM($product_id,$from,$to)
    {

        try {

        $data = DB::select("SELECT SUM((COPD.quantity * (BH.quantity/BD.quantity )) / (1+(DATEDIFF(COPD.end_date, COPD.start_date)) - ((WEEK(COPD.end_date) - WEEK(COPD.start_date))) - (case when weekday(COPD.end_date) = 6 then 1 else 0 end) - (case when weekday(COPD.start_date) = 5 then 1 else 0 end))) AS Plan
        FROM pp_bom_data BD, pp_bom_header BH, pp_customer_order_plans_data COPD
        WHERE BD.product_id='".$product_id."' AND COPD.start_date BETWEEN '".$from."' AND '".$to."' AND BH.pp_bom_header_id=BD.pp_bom_header_id AND COPD.product_id=BH.product_id;");
        $responseBody = $this->responseBody(true, "DailyCollection", "Plan", $data);

    } catch (\Exception $exception) {
        $responseBody = $this->responseBody(false, "error", "error", $exception);
    }

    return response()->json($data);
    }


    public function RequiredPlan($product_id,$from,$to)
    {

        try {

        $data = DB::select("SELECT t.selected_date, t.Plan,
        @running_total:=@running_total + t.Plan AS Balance
        FROM
        (
            SELECT selected_date,
            (CASE
            WHEN WEEKDAY(selected_date)=6 THEN 0
            ELSE SUM(((COPD.quantity * (BH.quantity/BD.quantity )) / (1+(DATEDIFF(COPD.end_date, COPD.start_date)) - ((WEEK(COPD.end_date) - WEEK(COPD.start_date))) - (case when weekday(COPD.end_date) = 6 then 1 else 0 end) - (case when weekday(COPD.start_date) = 5 then 1 else 0 end))))
            END) AS Plan
            FROM pp_bom_data BD, pp_bom_header BH, pp_customer_order_plans_data COPD,
            (select adddate('1970-01-01',t4.i*10000 + t3.i*1000 + t2.i*100 + t1.i*10 + t0.i) selected_date
            from
            (select 0 i union select 1 union select 2 union select 3 union select 4 union select 5 union select 6 union select 7 union select 8 union select 9) t0,
            (select 0 i union select 1 union select 2 union select 3 union select 4 union select 5 union select 6 union select 7 union select 8 union select 9) t1,
            (select 0 i union select 1 union select 2 union select 3 union select 4 union select 5 union select 6 union select 7 union select 8 union select 9) t2,
            (select 0 i union select 1 union select 2 union select 3 union select 4 union select 5 union select 6 union select 7 union select 8 union select 9) t3,
            (select 0 i union select 1 union select 2 union select 3 union select 4 union select 5 union select 6 union select 7 union select 8 union select 9) t4) v
            WHERE BD.product_id='".$product_id."' AND selected_date BETWEEN COPD.start_date AND COPD.end_date AND selected_date BETWEEN '".$from."' AND '".$to."' AND BH.pp_bom_header_id=BD.pp_bom_header_id AND COPD.product_id=BH.product_id
            GROUP BY selected_date
        ) t
        JOIN (SELECT @running_total:=0) r
        ORDER BY t.selected_date;");
        $responseBody = $this->responseBody(true, "DailyCollection", "Plan", $data);

    } catch (\Exception $exception) {
        $responseBody = $this->responseBody(false, "error", "error", $exception);
    }

    return response()->json($data);
    }


    /**
     * responseBody
     * This is used to create response.
     * @param success This is the paramter require boolean
     * @param name This is the paramter require ui table name
     * @param message This is the paramter require message content
     * @param result This is the paramter require result as some of data to return client
     * @return Json This returns as response.
     */
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }


    /**
     * allOrderPlan
     * This function is used to search all customer order records from the database.
     * @return Json This returns as response.
     */
    public function Date(Request $request)
    {

        try {
            // $DCPlan = new BOMData();
            //return $request->all();
            $data = $request->all();
            $responseBody = $this->responseBody(true, "DCPlan", "all", $data);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "error", "error", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }


    // /**
    //  * saveData
    //  * This function is used to save new BOM data to database.
    //  * @param request This is the paramter to save function
    //  * @return Json This returns as response.
    //  */
    // public function saveTable(Request $request)
    // {

    //     try {
    //         return $request;

    //         $DCPlan = new DailyCollection();
    //         $DCPlan->date=$request->data->date;
    //         $DCPlan->required = $request->get('required');
    //         $DCPlan->balance = $request->get('balance');
    //         $save = $DCPlan->save();

    //         if ($save) {
    //             $responseBody = $this->responseBody(true, "DCPlan", "saved", $DCPlan);
    //         }
    //     } catch (\Exception $exception) {
    //         $responseBody = $this->responseBody(false, "error", "error", $exception);
    //     }
    //     return response()->json(["data" => $responseBody]);
    // }


    /**
     * saveData
     * This function is used to save new BOM data to database.
     * @param request This is the paramter to save function
     * @return Json This returns as response.
     */
    public function save(Request $request)
    {

        // try {

        //     $DCPlan = new DailyCollection();
        //     $DCPlan->plan_date='2021-05-10';
        //     //$DCPlan->plan_date=$request->Tabledata->date;
        //     $DCPlan->product_id=1;
        //     //$DCPlan->quantity=$request->Tabledata->required;
        //     $DCPlan->quantity = '0';
        //     $save = $DCPlan->save();

        //     if ($save) {

        //         $responseBody = $this->responseBody(true, "success", "saved", $DCPlan);

        //     }
        // } catch (\Exception $exception) {
        //     $responseBody = $this->responseBody(false, "error", "error", $exception);
        // }
        $ok=$request->_token;
        return response()->json(["data" => $ok]);
    }


}

