var orderPlanSelectedIndex=0;

$(document).ready(function () {

    $('#ProductOrderTable').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "start_date" },
            { "data": "end_date" },
            { "data": "product_name" },
            { "data": "quantity" },
            { "data": "status", className: "status"  },
            { "data": "action", className: "action"  },

            // { "data": "status"},
            // { "data": "action" },

        ],
        columnDefs: [
            { width: 150, targets: 1 },
            { width: 150, targets: 2 },
            { width: 150, targets: 3 },
        ],
    });
    $('#OrderPlanTable').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "customer_order_plan_id" },
            { "data": "order_id" },
            { "data": "trans_date" },
            { "data": "plan_year" },
            { "data": "plan_month" },
            { "data": "description" },
            // { "data": "action" },
            { "data": "action", className: "action"  },


        ],
        columnDefs: [
            { width: 100, targets: 1 },
            { width: 100, targets: 2 },
            { width: 100, targets: 3 }
        ],
    });
    allSettings();
    getOrderPlan(1);


    //Reset form
    $('#btnCancelAddOrder').on('click', function () {
        $('#OrderPlanForm').trigger("reset");
        $('#addOrderModal').modal('toggle');
        $('#btnSaveAddOrder').show();
        $('#btnSaveAddOrder').text("Save");

       });


       $('#btnCancelAddProductOrder').on('click', function () {
        $('#OrderPlanDataForm').trigger("reset");
        $('#addProductOrderModal').modal('toggle');
        $('#btnSaveAddProductOrder').show();
        $('#btnSaveAddProductOrder').text("Save");

       });


    //Select table row
    $('#OrderPlanTable tbody ').on('click', 'tr', function () {
        var table = $('#OrderPlanTable').DataTable();
        var rowData = table.row($(this).index()).data();
        getOrderPlanData(rowData.customer_order_plan_id);
        orderPlanSelectedIndex=$(this).index();
        $('#txtOrderId').val(rowData.customer_order_plan_id);
        $('#hidOrderPlanID').val(rowData.customer_order_plan_id);
        console.log(rowData);
        if ($(this).hasClass('selected')) {
            $(this).removeClass('selected');

            getOrderPlanData(rowData.customer_order_plan_id);

        }
        else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');

        }
    });


    /**
    * datepicker
    * This is jquery foe datepicker .
    */
    $('input[name="dteDate"]').daterangepicker({
        singleDatePicker: true,
        showDropdowns: true,
        autoUpdateInput: false
    }).on('apply.daterangepicker', function (ev, picker) {
        $(this).val(picker.startDate.format('YYYY-MM-DD'));
    });


    /**
    * datepicker
    * This is jquery foe datepicker .
    */
    $('input[name="dteStartDate"]').daterangepicker({
        singleDatePicker: true,
        showDropdowns: true,
        autoUpdateInput: false
    }).on('apply.daterangepicker', function (ev, picker) {
        $(this).val(picker.startDate.format('YYYY-MM-DD'));
    });


    /**
    * datepicker
    * This is jquery foe datepicker .
    */
    $('input[name="dteEndDate"]').daterangepicker({
        singleDatePicker: true,
        showDropdowns: true,
        autoUpdateInput: false
    }).on('apply.daterangepicker', function (ev, picker) {
        $(this).val(picker.startDate.format('YYYY-MM-DD'));
    });

    let today = new Date().toISOString().substr(0, 10);
    document.querySelector("#dteDate").value = today;
    document.querySelector("#dteStartDate").value = today;
    document.querySelector("#dteEndDate").value = today;



    /*$('#OrderPlanTable').DataTable({
        columnDefs: [
            { width: 100, targets: 1 },
            { width: 100, targets: 2 },
            { width: 100, targets: 3 }
        ],
    });

    $('#ProductOrderTable').DataTable({
        columnDefs: [
            { width: 150, targets: 1 },
            { width: 150, targets: 2 },
            { width: 150, targets: 3 },
        ],
    });*/



    /**
      * Save add order
      * This function is used to save header order data.
      */
    $('#btnSaveAddOrder').click(function (event) {
        event.preventDefault();
        var form = $('#OrderPlanForm').get(0);
        console.log(form);
        var data = new FormData(form);

        if ($('#btnSaveAddOrder').text() == "Save") {
            save(data);
            getOrderPlan(1);
            $('#addOrderModal').modal('toggle');
        }else if ($('#btnSaveAddOrder').text() == "Update") {
            updatePlan(data);
            getOrderPlan(1);
            $('#addOrderModal').modal('toggle');


        }

    });


    /**
      * Save order data
      * This function is used to save order data.
      */

     $('#btnSaveAddProductOrder').click(function (event) {
        event.preventDefault();
        var form = $('#OrderPlanDataForm').get(0);
        var data = new FormData(form);
        var table = $('#OrderPlanTable').DataTable();
        var rowData = table.row(orderPlanSelectedIndex).data();

        if ($('#btnSaveAddProductOrder').text() == "Save") {
            saveData(data);
            getOrderPlanData(rowData.customer_order_plan_id);
            $('#addProductOrderModal').modal('toggle');

        }else if ($('#btnSaveAddProductOrder').text() == "Update") {
            updateOrderData(data);
            getOrderPlanData(rowData.customer_order_plan_id);
            $('#addProductOrderModal').modal('toggle');
        }


    });


    //load edit order
    $('#OrderPlanTable tbody').on('click', '.btn-edit', function (event) {
        event.preventDefault();
        var table = $('#OrderPlanTable').DataTable();
        console.log($(this).parents('tr').index());
        var rowData = table.row($(this).parents('tr').index()).data();
        console.log(rowData);

        $('#addOrderModal').modal('show');
        $('#hidOrderID').val(rowData.customer_order_plan_id);


        $.ajax({
            type: "GET",
            url: "/pp/customerPlan/customerPlan/" + rowData.customer_order_plan_id,
            processData: false,
            contentType: false,
            cache: false,
            timeout: 800000,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);

                $('#exampleModalLabel').html("Edit Order");
                $('#btnSaveAddOrder').text("Update");
                var purchase_order = response.data.result['settings']['purchase_order'];
                var trans_date = response.data.result['customerPlan']['trans_date'];
                var plan_year = response.data.result['customerPlan']['plan_year'];
                var plan_month = response.data.result['customerPlan']['plan_month'];
                var description = response.data.result['customerPlan']['description'];



                $('#dteDate').val(trans_date);
                $('#selcPlanYear').val(plan_year);
                $('#selcPlanMonth').val(plan_month);
                $('#txtDescription').val(description);


                $("#selcPurchaseOrder option").filter(function () {
                    return $(this).text() == purchase_order;
                }).prop('selected', true);

                $('#addOrderModal').modal('show');


            },
            error: function (error) {
                console.log(error);

            },
            complete: function () {

            }
        });



    });

    //load view order
    $('#OrderPlanTable tbody').on('click', '.btn-view', function (event) {
        event.preventDefault();
        var table = $('#OrderPlanTable').DataTable();
        console.log($(this).parents('tr').index());
        var rowData = table.row($(this).parents('tr').index()).data();

        $('#addOrderModal').modal('show');


        $.ajax({
            type: "GET",
            url: "/pp/customerPlan/customerPlan/" + rowData.customer_order_plan_id,
            processData: false,
            contentType: false,
            cache: false,
            timeout: 800000,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);
                $('#exampleModalLabel').html("Order Plan");
                $('#btnSaveAddOrder').hide();
                var purchase_order = response.data.result['settings']['purchase_order'];
                var trans_date = response.data.result['customerPlan']['trans_date'];
                var plan_year = response.data.result['customerPlan']['plan_year'];
                var plan_month = response.data.result['customerPlan']['plan_month'];
                var description = response.data.result['customerPlan']['description'];



                $('#dteDate').val(trans_date);
                $('#selcPlanYear').val(plan_year);
                $('#selcPlanMonth').val(plan_month);
                $('#txtDescription').val(description);


                $("#selcPurchaseOrder option").filter(function () {
                    return $(this).text() == purchase_order;
                }).prop('selected', true);


            },
            error: function (error) {
                console.log(error);

            },
            complete: function () {

            }
        });

    });


    //load edit order data
    $('#ProductOrderTable tbody').on('click', '.btn-edit', function (event) {
        event.preventDefault();
        var table = $('#ProductOrderTable').DataTable();
        console.log($(this).parents('tr').index());
        var rowData = table.row($(this).parents('tr').index()).data();
        console.log(rowData);

        $('#addProductOrderModal').modal('show');
        $('#hidOrderPlanID').val(rowData.customer_order_plan_data_id);

        $.ajax({
            type: "GET",
            url: "/pp/customerPlanData/customerPlanData/" + rowData.customer_order_plan_data_id,
            processData: false,
            contentType: false,
            cache: false,
            timeout: 800000,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);

                $('#exampleModalLabel1').html("Edit product To Order");
                $('#btnSaveAddProductOrder').text("Update");
                var customer_order_plan_id = response.data.result['customerPlanData']['customer_order_plan_id'];
                var start_date = response.data.result['customerPlanData']['start_date'];
                var end_date = response.data.result['customerPlanData']['end_date'];
                var product_id = response.data.result['customerPlanData']['product_id'];
                var product_name = response.data.result['customerPlanData']['product_name'];
                var quantity = response.data.result['customerPlanData']['quantity'];


                $('#txtOrderId').val(customer_order_plan_id);
                $('#dteStartDate').val(start_date);
                $('#dteEndDate').val(end_date);
                $('#txtProductID').val(product_id);
                $('#txtProductName').val(product_name);
                $('#txtQuantity').val(quantity);

                $('#addProductOrderModal').modal('show');


            },
            error: function (error) {
                console.log(error);

            },
            complete: function () {

            }
        });



    });


    //load view order data
    $('#ProductOrderTable tbody').on('click', '.btn-view', function (event) {
        event.preventDefault();
        var table = $('#ProductOrderTable').DataTable();
        console.log($(this).parents('tr').index());
        var rowData = table.row($(this).parents('tr').index()).data();
        $('#addProductOrderModal').modal('show');


        $.ajax({
            type: "GET",
            url: "/pp/customerPlanData/customerPlanData/" + rowData.customer_order_plan_data_id,
            processData: false,
            contentType: false,
            cache: false,
            timeout: 800000,
            beforeSend: function () {

            },
            success: function (response) {
                console.log(response);
                $('#exampleModalLabel1').html("Customer Product To Order");
                $('#btnSaveAddProductOrder').hide();
                var customer_order_plan_id = response.data.result['customerPlanData']['customer_order_plan_id'];
                var start_date = response.data.result['customerPlanData']['start_date'];
                var end_date = response.data.result['customerPlanData']['end_date'];
                var product_id = response.data.result['customerPlanData']['product_id'];
                var product_name = response.data.result['customerPlanData']['product_name'];
                var quantity = response.data.result['customerPlanData']['quantity'];

                $('#txtOrderId').val(customer_order_plan_id);
                $('#dteStartDate').val(start_date);
                $('#dteEndDate').val(end_date);
                $('#txtProductID').val(product_id);
                $('#txtProductName').val(product_name);
                $('#txtQuantity').val(quantity);

                $('#addProductOrderModal').modal('show');

            },
            error: function (error) {
                console.log(error);

            },
            complete: function () {

            }
        });



    });



    //Ajax call for Auto complete product Name Field.
    $.ajax({
        type: 'GET',
        url: '/pp/customerPlanData/searchPName',
        success: function (response) {
            console.log(response);
            if (response) {
                $("#txtProductName"). setData(response);
            } else {
                showErrorMessage();
            }
        },
        error: function (data) {
            console.log(error);
                showErrorMessage();
        },
            complete: function () {

            }
    });

});

//function by nipuna start
function showModelAddOrder() {

    $.ajax({
        type: 'GET',
        url: '/pp/customerPlanData/addOrder/all',
        success: function (response) {
            console.log(response.data.result);
            if (response) {

                var html = '';
                $.each(response.data.result, function(index, value) {
                    html += '<option value="' +value.order_id+ '">' +value.purchase_order+ '</option>';
                    //console.log(html);
                })
                $('#selcPurchaseOrder').html(html);

            } else {

                showErrorMessage();
            }
        },
        error: function (data) {
            console.log(error);
                showErrorMessage();
        },
            complete: function () {

            }
    });

    $('#addOrderModal').modal('toggle');
}
//function by nipuna end


function showModelAddProductToOrder() {
    $('#addProductOrderModal').modal('toggle');
}


/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}

/**
* PurchaseOrder
* This function is used to select the PurchaseOrder Type.
*/
//by nipuba start
function productToPurchaseOrder() {

    var order_id = $('#selcPurchaseOrder').val();
    $.ajax({
        type: "GET",
        url: "/pp/customerPlan/productToPurchaseOrder/" + order_id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            var array=[];
            array=response.data.result
            console.log(array);
            if (response) {

                var html = '';
                $.each(response.data.result, function(index, value) {
                    html += '<option value="' +value.order_data_id+ '">' +value.product_code+ '</option>';
                    //console.log(html);
                })
                $('#selcProduct').html(html);
                $('#inpQuantity').val(array[0].quantity_pieces)
                $('#hidProduct').val(array[0].order_data_id);
                // val =$('#hidProduct').val();
                // console.log(val)

            } else {

                showErrorMessage();
            }


        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
        }
    });
}

function productQuantity(){

    var order_data_id = $('#selcProduct').val();
    $.ajax({
        type: "GET",
        url: "/pp/customerPlan/productQuantity/" + order_data_id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            var array=[];
            array=response.data.result
            console.log(array[0]);
            // console.log(response);
            if (response) {


                $('#inpQuantity').val(array[0].quantity_pieces);
                $('#hidProduct').val(order_data_id);
                // val =$('#hidProduct').val();
                // console.log(val)
            } else {

                showErrorMessage();
            }


        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
        }
    });
}

//nipuna ends

/**
* allSettings
* This function is used to load all settings.
*/
function allSettings() {
    $.ajax({
        type: "GET",
        url: "/pp/customerPlan/settings",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {
                var result = response.data.result;
                appendSettings(result);
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}


/**
* appendSettings
* This function is used append option to combobox.
* @param collection This is the paramter to combobox elements item
*/
function appendSettings(collection) {

    $('#selcPurchaseOrder').append(' <option value="" disabled selected>Select Purchase Order</option>');
    $.each(collection['PurchaseOrder'], function (index, value) {
        $('#selcPurchaseOrder').append('<option value="' + value['order_id'] + '">' + value['purchase_order'] + '</option>');
    });


}


/**
* save
* This function is used to save customer order.
* @param dara This is the paramter to ajax data
*/
function save(data) {

    $.ajax({
        type: "POST",
        enctype: 'multipart/form-data',
        url: '/pp/customerPlan',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("Supply Plan details have been saved successfully...");

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {
            $('#OrderPlanForm').trigger("reset");
        }

    });
}


/**
* save
* This function is used to save customer order data.
* @param dara This is the paramter to ajax data
*/
function saveData(data) {

    $.ajax({
        type: "POST",
        enctype: 'multipart/form-data',
        url: '/pp/customerPlanData',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("Customer order plan data details have been saved successfully...");

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {
            $('#OrderPlanDataForm').trigger("reset");
        }

    });
}

/**
* getOrderPlan
* This function is used to get customer order to the list view.
* This is the paramter to ajax data
*/

function getOrderPlan(page_id) {

    $.ajax({
        type: "GET",
        url: "/pp/customerPlan/allOrderPlan",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {
                var data = [];
                for (i = 0; i < response.data.result.length; i++) {
                    var id = response.data.result[i]['customer_order_plan_id'];
                    var order_id = response.data.result[i]['order_id'];
                    var trans_date = response.data.result[i]['trans_date'];
                    var plan_year = response.data.result[i]['plan_year'];
                    var plan_month = response.data.result[i]['plan_month'];
                    var description = response.data.result[i]['description'];
                    var string_id = "'" + id + "'";
                    data.push({
                        "customer_order_plan_id": id,
                        "order_id": order_id,
                        "trans_date": trans_date,
                        "plan_year": plan_year,
                        "plan_month": plan_month+"/"+plan_year,
                        "description": description,
                        "action": '<button class="btn btn-warning mr-4 ml-2 btn-edit" data-toggle="modal" data-target="#addOrderModal"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button><button class="btn btn-success mr-4 btn-view" data-toggle="modal" data-target="#addOrderModal"><i class="fa fa-eye" aria-hidden="true"></i></button><button class="btn btn-danger" onclick="_delete(' + string_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',

                    });
                }


                var table = $('#OrderPlanTable').DataTable();
                table.clear();
                table.rows.add(data).draw();


            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });

}


/**
* getOrderPlanData
* This function is used to get customer order data to the list view.
* This is the paramter to ajax data
*/
function getOrderPlanData(order_id) {

    $.ajax({
        type: "GET",
        url: "/pp/customerPlanData/allOrderPlanData/" +order_id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {
                var data = [];
                var disable = { 0: "", 1: "checked" }
                for (i = 0; i < response.data.result.length; i++) {
                    var id = response.data.result[i]['customer_order_plan_data_id'];
                    var start_date = response.data.result[i]['start_date'];
                    var end_date = response.data.result[i]['end_date'];
                    var product_name = response.data.result[i]['product_name'];
                    var quantity = response.data.result[i]['quantity'];
                    var string_id = "'" + id + "'";
                    data.push({
                        "customer_order_plan_data_id": id,
                        "start_date": start_date,
                        "end_date": end_date,
                        "product_name": product_name,
                        "quantity": quantity,
                        "status": '<label class="switch ml-4"><input type="checkbox" id="' + response.data.result[i].customer_order_plan_data_id + '" onchange="disable(event,' + "'CustomerPlanData'" + ')" ' + disable[response.data.result[i].status] + '><span class="slider round"></span</lable>',
                        "action": '<button class="btn btn-warning mr-4 ml-2 btn-edit" data-toggle="modal" data-target="#addProductOrderModal"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button><button class="btn btn-success mr-4 btn-view" data-toggle="modal" data-target="#addProductOrderModal"><i class="fa fa-eye" aria-hidden="true"></i></button><button class="btn btn-danger btn-delete" onclick="_deleted(' + string_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
                    });
                }


                var table = $('#ProductOrderTable').DataTable();
                table.clear();
                table.rows.add(data).draw();


            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });

}


/**
* delete
* This function is used to delete customer order plan.
*/
function _delete(id) {
    $.ajax({
        type: 'DELETE',
        url: '/pp/customerPlan/' + id,
        data: {
            _token: $('input[name=_token]').val()
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage("Customer Order Plan has been deleted successfully...")
                getOrderPlan(1);
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}


/**
* delete
* This function is used to delete customer order plan data.
*/

function _deleted(id) {
    var table = $('#OrderPlanTable').DataTable();
    var rowData = table.row(orderPlanSelectedIndex).data();
    $.ajax({
        type: 'DELETE',
        url: '/pp/customerPlanData/' + id,
        data: {
            _token: $('input[name=_token]').val()
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage("Customer order plan data has been deleted successfully....")
                getOrderPlanData(rowData.customer_order_plan_id);
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}



/**
* updatePlan
* This function is used to update customer order plan.
* @param data This is the paramter to ajax data
*/
function updatePlan(data) {
    console.log(data);
    $.ajax({
        type: "POST",
        enctype: 'multipart/form-data',
        url: '/pp/customerPlan/update/',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("customer order data record has been updated successfully...");

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {
            $('#OrderPlanForm').trigger("reset");
            $('#btnSaveAddOrder').text("Save");
        }

    });
}

/**
* updateOrderData
* This function is used to update customer order plan data.
* @param data This is the paramter to ajax data
*/
function updateOrderData(data) {

    $.ajax({
        type: "POST",
        enctype: 'multipart/form-data',
        url: '/pp/customerPlanData/update',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.d) {

                showSuccessMessage("Customer order plan data record has been updated successfully...");

            } else {
                showErrorMessage();
            }


        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {
            $('#OrderPlanDataForm').trigger("reset");
            $('#btnSaveAddProductOrder').text("Save");

        }

    });
}


/**
* getName
* Function for Auto Complete to fill other fields by enter the Name Field.
*/
function getProductName() {
    $.ajax({
        type: 'GET',
        url: '/pp/customerPlanData/getPName/' + $('#txtProductName').optionID(),
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
           if (response) {
                $('#txtProductID').val(response.product_id);

            } else {
                showErrorMessage();
            }
        },
        error: function (data) {
            showErrorMessage();
            console.log(data);
        },
        complete: function () {
        }
    });

}


/**
* disabled
* This function is used to update settings.
* @param url This is the paramter to ajax request url
* @param id This is the paramter to ajax data
*/
function _disabled(id, status) {

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'DELETE',
        url: '/pp/customerPlanData/customerPlanData/' + id,
        data: {
            _token: $('input[name=_token]').val(),
            "status": bool
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {

                if (status) showSuccessMessage("Data has been enabled successfully...");
                if (!status) showSuccessMessage("Data has been disabled successfully...");



            } else {
                var msg = response.data.message;
                var id = response.data.result;

                if (msg == "assigned") {
                    //assigned settings cannot be disabled
                    showWarningMessage("Settings has been assigned...!");

                } else if (msg == "error") {
                    showErrorMessage();
                }
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}

/**
* save
* This function is used to disable settings.
* @param event This is the paramter to identifi desable/enable
*/
function disable(event) {
    var id = event.target.id;
    var status = event.target.checked;
    _disabled(id, status);
}


